<div [formGroup]="parentForm" class="input">
  <div class="center-div">
    <label
      for="file-upload"
      class="custom-file-upload"
      [ngClass]="this.parentForm.get(this.controlName).value?.name ? 'added-file' : 'empty-file'"
    >
      Add image
    </label>
    <input (change)="onUpload($event.target.files)" id="file-upload" type="file" accept="image/png, image/jpeg"/>
    <ng-container *ngIf="this.parentForm.get(this.controlName).value">
      <p>{{ this.parentForm.get(this.controlName).value.name }}</p>
    </ng-container>
  </div>
</div>

<app-control-errors
  [control]="getFormControl()"
  [errorKeys]="errorKeys"
  [parentForm]="parentForm"
></app-control-errors>
